Update an existing Scan Config
PATCH/accounts/{account_id}/cloudforce-one/scans/config/{config_id}
Update an existing Scan Config
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Update an existing Scan Config
curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/cloudforce-one/scans/config/$CONFIG_ID \
-X PATCH \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "uuid",
"account_id": "abcd1234abcd1234abcd1234abcd1234",
"frequency": 7,
"ips": [
"1.1.1.1",
"2606:4700:4700::1111"
],
"ports": [
"default"
]
}
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"success": true,
"result": {
"id": "uuid",
"account_id": "abcd1234abcd1234abcd1234abcd1234",
"frequency": 7,
"ips": [
"1.1.1.1",
"2606:4700:4700::1111"
],
"ports": [
"default"
]
}
}